curl --request GET \
--url https://business.madhousewallet.com/api/payouts/account-requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://business.madhousewallet.com/api/payouts/account-requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.madhousewallet.com/api/payouts/account-requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "iban",
"title": "IBAN",
"fields": [
{
"name": "Legal type",
"group": [
{
"key": "legalType",
"name": "Legal type",
"type": "select",
"required": true,
"refreshRequirementsOnChange": true,
"valuesAllowed": [
{
"key": "PRIVATE",
"name": "Person"
},
{
"key": "BUSINESS",
"name": "Business"
}
]
}
]
},
{
"name": "IBAN",
"group": [
{
"key": "iban",
"name": "IBAN",
"type": "text",
"required": true,
"refreshRequirementsOnChange": false,
"example": "DE89370400440532013000",
"minLength": 14,
"maxLength": 42,
"validationRegexp": "^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$"
}
]
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get account requirements
Returns the list of account types and their required fields for a given target currency. Call this before creating a recipient to know which fields to collect.
Each account type (e.g. iban, sort_code, aba) has a set of fields. Some fields have refreshRequirementsOnChange: true — when a user changes these, POST the current form state back to this endpoint to receive an updated field list (e.g. switching legalType from PRIVATE to BUSINESS may add a company name field).
Rate limit: 500 requests/minute.
Authorizations
Pass your API key as a Bearer token: Authorization: Bearer mw_live_<keyId>_<secret>
Query Parameters
ISO 4217 target currency code. Supported currencies (81): AED, ALL, ARS, AUD, BAM, BDT, BHD, BMD, BOB, BRL, BWP, CAD, CHF, CLP, CNY, COP, CRC, CVE, CZK, DKK, DOP, EGP, EUR, GBP, GEL, GHS, GMD, GNF, GTQ, HKD, HNL, HUF, IDR, ILS, INR, ISK, JPY, KES, KGS, KHR, KRW, KWD, LAK, LKR, MAD, MNT, MOP, MUR, MXN, MYR, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PEN, PHP, PKR, PLN, PYG, QAR, RON, RSD, RWF, SAR, SCR, SEK, SGD, SRD, THB, TND, TRY, TZS, UAH, UGX, USD, UYU, VND, ZAR.
"EUR"
Response
Account requirements returned
Show child attributes
Show child attributes
